[systemd-devel] [ANNOUNCE] systemd 1

Lennart Poettering lennart at poettering.net
Wed Jul 7 13:06:11 PDT 2010

On Wed, 07.07.10 17:17, pankaj pandey (pankaj86 at gmail.com) wrote:

> Firstly congratulations on the release 1 of systemd.
> I've been using systemd in f14/rawhide for some time, and now on the 1 release i
> wish to use systemd exclusively, but i'm unable to install systemd-sysvinit due
> to conflict with upstart (removing upstart removes whole lot of stuff including
> xorg). Whats the trick here. How do i use systemd init files?
> Thanks for your great work in improving linux,

Yepp, that's the last missing switch we need to toggle to make systemd
the default: in the .spec file there's currently a Conflicts from the
-sysvinit package to the upstart package. This needs to be turned into
an Obsoletes, in which case systemd would be pulled in as a replacement
for upstart.

All of that is already in the spec file (though commented). However,
before I switch that switch I want to inform the folks on fedora-devel,
so that they know what is going on.

If you want to play around with this you may checkout the spec file from
CVS and uncomment the respective line, and then rebuild and install the


Lennart Poettering - Red Hat, Inc.

More information about the systemd-devel mailing list